List the bill-of-materials components across one stack's workloads
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom \
--header 'Authorization: Bearer <token>'{
"result": [
{
"name": "<string>",
"version": "<string>",
"package_type": "<string>",
"component_type": "<string>",
"purl": "<string>",
"licenses": [
"<string>"
],
"images": 123,
"workloads": 123,
"clusters": 123,
"vulnerable_findings": 123,
"actionable_findings": 123,
"known_exploited": 123
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"facets": {
"package_type": [
{
"count": 123,
"value": "<string>"
}
]
},
"coverage": {
"scanned_clusters": 123,
"clusters_with_sbom": 123,
"images": 123,
"components": 123,
"workloads": 123,
"latest_generated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List the bill-of-materials components across one stack's workloads
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
security
/
sbom
List the bill-of-materials components across one stack's workloads
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/sbom \
--header 'Authorization: Bearer <token>'{
"result": [
{
"name": "<string>",
"version": "<string>",
"package_type": "<string>",
"component_type": "<string>",
"purl": "<string>",
"licenses": [
"<string>"
],
"images": 123,
"workloads": 123,
"clusters": 123,
"vulnerable_findings": 123,
"actionable_findings": 123,
"known_exploited": 123
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"facets": {
"package_type": [
{
"count": 123,
"value": "<string>"
}
]
},
"coverage": {
"scanned_clusters": 123,
"clusters_with_sbom": 123,
"images": 123,
"components": 123,
"workloads": 123,
"latest_generated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 10000Values above 100 are clamped to 100.
Required range:
x >= 1Ecosystem filter, repeatable (deb, apk, rpm, npm, pypi, golang, maven, ...).
true keeps components a finding names, false the ones nothing names.
Available options:
name, version, package_type, images, workloads, clusters, vulnerable, actionable Available options:
asc, desc